Loading...
Searching...
No Matches
vkd3d_shader_hlsl_source_info Struct Reference

A chained structure containing HLSL compilation parameters. More...

`#include <vkd3d_shader.h>`

Collaboration diagram for vkd3d_shader_hlsl_source_info:
[legend]

## Data Fields

enum vkd3d_shader_structure_type | type
| Must be set to VKD3D_SHADER_STRUCTURE_TYPE_HLSL_SOURCE_INFO.
const void * | next
| Optional pointer to a structure containing further parameters.
const char * | entry_point
| Optional pointer to a null-terminated string containing the shader entry point.
struct vkd3d_shader_code | secondary_code
const char * | profile
| Pointer to a null-terminated string containing the target shader profile.

## Detailed Description

A chained structure containing HLSL compilation parameters.

This structure is optional.

This structure extends vkd3d_shader_compile_info.

This structure contains only input parameters.

Since
  1.3

## Field Documentation

## entry_point

const char* vkd3d_shader_hlsl_source_info::entry_point

Optional pointer to a null-terminated string containing the shader entry point.

If this parameter is NULL, vkd3d-shader uses the entry point "main".

The documentation for this struct was generated from the following file:

- include/vkd3d_shader.h